Package weka.associations

# Class AssociationRules

java.lang.Object
weka.associations.AssociationRules

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FilteredAssociationRules`

public class AssociationRules extends Object implements Serializable
Class encapsulating a list of association rules.

Version:
  $Revision: 8034 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssociationRules(List<AssociationRule> rules)`
  Constructs a new AssociationRules.
  `AssociationRules(List<AssociationRule> rules, Object producer)`
  Constructs a new AssociationRules.
  `AssociationRules(List<AssociationRule> rules, String producer)`
  Constructs a new AssociationRules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNumRules()`
  Get the number of rules.
  `String`
  `getProducer()`
  Get a string describing the scheme that produced these rules.
  `List<AssociationRule>`
  `getRules()`
  Get the rules.
  `void`
  `setProducer(String producer)`
  Set a textual description of the scheme that produced these rules.
  `void`
  `setRules(List<AssociationRule> rules)`
  Set the rules to use.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssociationRules

    public AssociationRules(List<AssociationRule> rules, String producer)
    Constructs a new AssociationRules.
    Parameters:
      `rules` - the list of rules.
      `producer` - a string describing the scheme that produced these rules.

  - ### AssociationRules

    public AssociationRules(List<AssociationRule> rules, Object producer)
    Constructs a new AssociationRules.
    Parameters:
      `rules` - the list of rules.
      `producer` - the scheme that produced the rules.

  - ### AssociationRules

    public AssociationRules(List<AssociationRule> rules)
    Constructs a new AssociationRules.
    Parameters:
      `rules` - the list of rules.

- ## Method Details

  - ### setRules

    public void setRules(List<AssociationRule> rules)
    Set the rules to use.
    Parameters:
      `rules` - the rules to use.

  - ### getRules

    public List<AssociationRule> getRules()
    Get the rules.
    Returns:
      the rules.

  - ### getNumRules

    public int getNumRules()
    Get the number of rules.
    Returns:
      the number of rules.

  - ### setProducer

    public void setProducer(String producer)
    Set a textual description of the scheme that produced these rules.
    Parameters:
      `producer` - a textual description of the scheme that produced these rules.

  - ### getProducer

    public String getProducer()
    Get a string describing the scheme that produced these rules.
    Returns:
      producer